Subject: Re: bug#61006: 29.0.60; Wrong indentation in go-ts-mode

From: Randy Taylor <[email-masked]>
Date: Thu, 26 Jan 2023 02:39:46 +0000

On Tuesday, January 24th, 2023 at 23:06, [email-masked] <[email-masked]> wrote:
> Thank you!
> Fixed now.

Thanks for testing. Can someone install the patch to emacs-29?

> 
> В Ср, 25/01/2023 в 02:46 +0000, Randy Taylor пишет:
> 
> > On Tuesday, January 24th, 2023 at 21:35, Randy Taylor [email-masked]
> > wrote:
> > 
> > > On Sunday, January 22nd, 2023 at 05:00,
> > > [email-masked] [email-masked] wrote:
> > > 
> > > > Hi. Thank you all for great work.
> > > > In go-ts-mode indentation breaks in function or method definition
> > > > if
> > > > arguments placed on separate lines like this:
> > > > `func transform( s string, ) string {`
> > > > This code should be indented like this:
> > > > `func transform( s string, ) string {`
> > > 
> > > Thanks for the report. I've attached a patch that fixes this.
> > > 
> > > > Also `go-ts-mode-indent-offset' should be 8 by default. In go
> > > > world there is gofmt which is a real standart for code
> > > > indentation. It would be great if emacs will provide the same
> > > > indentation out of the box.
> > > 
> > > And addresses this.
> > > 
> > > > There is also other issue - sometimes go-ts-mode syntax
> > > > highliting breaks when I actively use it with `lsp-mode`-
> > > > refactorings, auto formatting etc. But I can't reproduce it
> > > > with`eglot`.
> > > 
> > > Seems like an `lsp-mode` problem then? I only use `eglot` and
> > > haven't noticed anything amiss.
> > 
> > Addendum to my last patch: added indentation support for interfaces
> > as it was missing. Everything else is the same.